Opened 5 years ago

Closed 2 years ago

Last modified 3 months ago

#6594 closed defect (fixed)

WME: Bickadoodle - Assertion on climbing the mountain

Reported by: raziel- Owned by: tobiatesan
Priority: normal Component: Engine: Wintermute
Keywords: has-pull-request, original Cc:
Game: Wintermute

Description

ScummVM 1.7.0git (May 30 2014 18:48:56)
Features compiled in: Vorbis FLAC MP3 RGB zLib MPEG2 Theora AAC FreeType2 JPEG PNG

When ascending the mountain i get an assertion on the scene switch:
assertion "_str && idx >= 0 && idx < (int)_size" failed: file "./common/str.h", line 187

I get a black screen when that assertion happens, the background music runs along
(from the savegame just move upwards)

Happens in both 1.0 and 1.1 versions of the game

Bickadoodle (unknown version) (Windows) --> version 1.1 (see https://sourceforge.net/p/scummvm/bugs/6584/ )
Bickadoodle (Windows/English) --> version 1.0

AmigaOS4 - PPC - SDL - BE
gcc (GCC) 4.2.4 (adtools build 20090118)

Ticket imported from: bugs/6594.

Attachments (3)

wmeunk-Bickadoodle-win.004 (63.6 KB ) - added by raziel- 5 years ago.
backtrace.txt (2.0 KB ) - added by SF/windlepoons 4 years ago.
bickadoodle-win.000 (64.4 KB ) - added by SF/windlepoons 4 years ago.

Download all attachments as: .zip

Change History (11)

by raziel-, 5 years ago

Attachment: wmeunk-Bickadoodle-win.004 added

comment:1 by raziel-, 5 years ago

This also happens in v1.2

comment:2 by SF/windlepoons, 4 years ago

Confirmed but crash with Bickadoodle (Version 1.2/Windows/English)
ScummVM 1.8.0git3028-gc787560 (May 15 2015 06:01:10)
OS: Linux Siduction amd64

by SF/windlepoons, 4 years ago

Attachment: bickadoodle-win.000 added

comment:3 by SF/windlepoons, 4 years ago

I testing again with crash when ascending the mountain.
Bickadoodle v1.2 from http://www.indiedb.com/games/bickadoodle

ScummVM 1.9.0git1233-g024f79d (Mar 22 2016 04:50:20)
OS: Linux Debian/64bit

I attached current save game and backtrace from crash.

comment:4 by SF/tobiatesan, 4 years ago

Thanks.

Funnily, I can reproduce under Linux but not under Windows.

There is something wrong with path normalization, which makes this related to #7088 and #7068.

comment:5 by SF/tobiatesan, 4 years ago

OTOH this appears to be a game script bug: playMusic() is apparently called with filename ""

comment:6 by SF/tobiatesan, 4 years ago

https://github.com/scummvm/scummvm/pull/732

comment:7 by SF/windlepoons, 4 years ago

Your committed for path_util.cpp works, no more crash.

comment:8 by csnover, 2 years ago

Resolution: fixed
Status: newclosed

According to the last comment, this bug was already fixed.

comment:9 by lolbot-iichan, 3 months ago

Keywords: has-pull-request original added
Owner: set to tobiatesan
Note: See TracTickets for help on using tickets.